import MapEditLayer from './map-edit-layer';
import MapEditTool from './map-edit-tool';

export default class MapSplitAreaTool extends MapEditTool {

  constructor(mapEditLayer: MapEditLayer) {
    super(mapEditLayer, 'map-edit-split-area',
      //'url("/static/cursor/cursor-link.png") 24 24, default');
      'crosshair');
  }


  override onclick(evt: MouseEvent) {
    if (!this.mapEditLayer)
      return;
    console.log('MapRecoverTool@onDragEnd()', evt);
    this.mapEditLayer.splitArea(evt._contentPoint);
  }
}
